Debian Bug report logs - #578733
epiphany-extension-gwget: Doesn't work with ephy 2.30

version graph

Package: epiphany-extension-gwget; Maintainer for epiphany-extension-gwget is (unknown);

Reported by: Emilio Pozuelo Monfort <pochu@debian.org>

Date: Thu, 22 Apr 2010 10:27:02 UTC

Severity: serious

Tags: sid, squeeze, upstream, wheezy

Merged with 577899, 591560

Found in version gwget2/1.0.4-1.1

Fixed in version 1.0.4-1.1

Done: Ralf Treinen <ralf.treinen@pps.jussieu.fr>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=616498

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pochu@debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#578733; Package epiphany-extension-gwget. (Thu, 22 Apr 2010 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
New Bug report received and forwarded. Copy sent to pochu@debian.org, Arnaud Fontaine <arnau@debian.org>. (Thu, 22 Apr 2010 10:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: epiphany-extension-gwget: Doesn't work with ephy 2.30
Date: Thu, 22 Apr 2010 12:25:38 +0200
Package: epiphany-extension-gwget
Version: 1.0.4-1.1
Severity: serious

The gwget extension doesn't work with ephy 2.30. It's not listed in the
extensions list, and hacking around to make it be listed won't have
any effect, files will still be downloaded with ephy's download manager.

See https://bugzilla.gnome.org/show_bug.cgi?id=616498

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (800, 'unstable'), (700, 'experimental'), (650, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages epiphany-extension-gwget depends on:
ii  epiphany-browser              2.30.2-1   Intuitive GNOME web browser
ii  gwget                         1.0.4-2    GNOME front-end for wget
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

epiphany-extension-gwget recommends no packages.

epiphany-extension-gwget suggests no packages.

-- no debconf information




Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=616498'. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 10:39:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Arnaud Fontaine <arnau@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 10:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#578733; Package epiphany-extension-gwget. (Thu, 22 Apr 2010 11:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. (Thu, 22 Apr 2010 11:03:08 GMT) Full text and rfc822 format available.

Message #14 received at 578733@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: Emilio Pozuelo Monfort <pochu@debian.org>
Cc: 578733@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#578733: epiphany-extension-gwget: Doesn't work with ephy 2.30
Date: Thu, 22 Apr 2010 12:52:24 +0200
tags 578733 + upstream
thanks

Hi,

    > The gwget  extension doesn't work with ephy  2.30. It's not listed
    > in  the extensions list, and  hacking around to make  it be listed
    > won't have any effect,  files will still be downloaded with ephy's
    > download manager.

    > See https://bugzilla.gnome.org/show_bug.cgi?id=616498

Indeed, the Debian extension package hasn't worked for a while as stated
in README.Debian[0].   However, when I built  it from git,  it seemed to
work fine.  Last time I had a look at this issue, as the upstream author
was not replying,  I had some help from Epiphany  guys though.  Have you
tried to debug it using GDB?

BTW, why have you cross-posted  this bug report to the upstream bugzilla
and the BTS?

Maybe  I  should hand  over  maintainership  of  gwget to  someone  else
because, as shown by the last uploads, I clearly don't have time to take
enough care of it. Would you like to take it over? If not, I will simply
submit a RFA...

Regards,
Arnaud Fontaine

[0] http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gwget2/debian/README.Debian




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#578733; Package epiphany-extension-gwget. (Thu, 22 Apr 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. (Thu, 22 Apr 2010 11:12:03 GMT) Full text and rfc822 format available.

Message #19 received at 578733@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: Emilio Pozuelo Monfort <pochu@debian.org>
Cc: 578733@bugs.debian.org
Subject: Re: Bug#578733: epiphany-extension-gwget: Doesn't work with ephy 2.30
Date: Thu, 22 Apr 2010 13:08:32 +0200
Hi,

BTW, thank you very much for all  your work on the package ! I currently
lack time  to work  on these  packages, so this  is great  that somebody
actually cares.

Cheers,
Arnaud




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#578733; Package epiphany-extension-gwget. (Thu, 22 Apr 2010 11:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. (Thu, 22 Apr 2010 11:21:08 GMT) Full text and rfc822 format available.

Message #24 received at 578733@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Arnaud Fontaine <arnau@debian.org>
Cc: 578733@bugs.debian.org
Subject: Re: Bug#578733: epiphany-extension-gwget: Doesn't work with ephy 2.30
Date: Thu, 22 Apr 2010 13:16:33 +0200
On 22/04/10 12:52, Arnaud Fontaine wrote:
> Indeed, the Debian extension package hasn't worked for a while as stated
> in README.Debian[0].   However, when I built  it from git,  it seemed to
> work fine.  Last time I had a look at this issue, as the upstream author
> was not replying,  I had some help from Epiphany  guys though.  Have you
> tried to debug it using GDB?

Ah didn't see README.Debian. I haven't further debugged it, but if it worked for
you maybe I just didn't setup correctly. Is it enough to enable the extension,
or does one need to setup anything else? I looked at preferences and didn't find
anything related. If it's working fine, we should create the
gwget.ephy-extension to have it working.

> BTW, why have you cross-posted  this bug report to the upstream bugzilla
> and the BTS?

To upstream since it's an upstream bug, and to the BTS so we're aware of it for
the Squeeze release (since the package was unusable for me).

> Maybe  I  should hand  over  maintainership  of  gwget to  someone  else
> because, as shown by the last uploads, I clearly don't have time to take
> enough care of it. Would you like to take it over? If not, I will simply
> submit a RFA...

Not really :) I just looked at it to fix the FTBFS bug, and while testing it
before uploading it to the archive I noticed the gwget problems.

Cheers!
Emilio




Forcibly Merged 577899 578733 591560. Request was from Arnaud Fontaine <arnau@debian.org> to control@bugs.debian.org. (Wed, 04 Aug 2010 10:45:13 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Aug 2011 07:33:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:31:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.